Bug 157830 - gpilotd says "**: An error occured while getting the pilot's system data" and stops
gpilotd says "**: An error occured while getting the pilot's system data" and...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks: FC4Update
  Show dependency treegraph
 
Reported: 2005-05-16 08:04 EDT by erik slagter
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version: gnome-pilot-2.0.15-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-10 07:51:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description erik slagter 2005-05-16 08:04:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050506 Epiphany/1.6.1

Description of problem:
dlpsh (pilot-link) works well, so the connection is OK.

With any action using gpilot, I get:

(gpilotd:11920): gpilotd-WARNING **: An error occured while getting the pilot's system data

And then it stops.

Version-Release number of selected component (if applicable):
gnome-pilot-2.0.13-2, vanilla 2.6.12 kernel

How reproducible:
Always

Steps to Reproduce:
1.Attach clie
2.Hit sync button
3.Start gpilotd (or most of the time it's already running)
  

Actual Results:  (gpilotd:11920): gpilotd-WARNING **: An error occured while getting the pilot's system data

No sync performed at all.

Expected Results:  Usual syncing.

Additional info:

gpilotd-Message: gnome-pilot 2.0.13 starting...
gpilotd-Message: compiled for pilot-link version 0.12.0-pre2
gpilotd-Message: compiled with [VFS] [USB] [IrDA] [Network]
gpilotd-Message: Activating CORBA server
gpilotd-Message: bonobo_activation_active_server_register = 0
gpilotd-Message: Watching usb (/dev/ttyUSB1)
gpilotd-Message: corba: get_pilots(...)
gpilotd-Message: corba: get_pilots(...)
gpilotd-Message: Client seems ok
gpilotd-Message: Client seems ok
gpilotd-Message: monitor_on(pilot_name="clie",client_id = IOR:01389ebf1b000000...)
gpilotd-Message: corba: notify_on(event_type=CONNECT,callback=IOR:01389ebf1b000000...)
gpilotd-Message: corba: notify_on(event_type=CONDUIT,callback=IOR:01389ebf1b000000...)
gpilotd-Message: corba: notify_on(event_type=DISCONNECT,callback=IOR:01389ebf1b000000...)
gpilotd-Message: Found 4766, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0502, 0736
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 091e, 0004
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0100
gpilotd-Message: Using net FALSE
gpilotd-Message: Found 082d, 0200
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0300
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0c88, 0021
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0002
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0003
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0020
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0031
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0040
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0050
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0060
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0061
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0070
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0080
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 8001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 6601
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0038
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0066
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0095
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 009a
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00c9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00da
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00e9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0144
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0169
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 12ef, 0100
gpilotd-Message: Using net TRUE
gpilotd-Message: setting PILOTRATE=115200

(gpilotd:11920): gpilotd-WARNING **: An error occured while getting the pilot's system data
gpilotd-Message: setting PILOTRATE=115200

(gpilotd:11920): gpilotd-WARNING **: An error occured while getting the pilot's system data
gpilotd-Message: setting PILOTRATE=115200
Comment 1 Peter Tiggerdine 2005-06-03 01:19:06 EDT
Same happens here also Tungsten E and various other models I'v tried.. Also when
I installed the conduits they don't appear in the gpilotd-control-applet
Comment 2 Daniel Malmgren 2005-06-16 03:55:59 EDT
I get the exact same behaviour here, using a serial connected PalmV. Couldn't
this line be the problem:

gpilotd-Message: compiled for pilot-link version 0.12.0-pre2

I mean, the latest pilot-link in Rawhide (and thus the one on my computer) is
pre3. And it really should be pre4 by now...
Comment 3 Daniel Malmgren 2005-06-16 08:11:08 EDT
(In reply to comment #2)
> I mean, the latest pilot-link in Rawhide (and thus the one on my computer) is
> pre3. And it really should be pre4 by now...

Correction: pilot-link in Rawhide is now pre4. Is a rebuild the only thing
needed to get things work again?
Comment 4 Daniel Malmgren 2005-06-23 06:32:50 EDT
I'd just like to notice that I tried rebuilding gnome-pilot and
gnome-pilot-conduits (using a simple "rpmbuild --rebuild") so that now it says
"gpilotd-Message: compiled for pilot-link version 0.12.0-pre4" instead. The bug
is still there though.
Comment 5 Oliver Jones 2005-07-31 11:05:26 EDT
I'm getting a similar error.  I've got a Tungsten T3.  I'm trying to sync it
with my FC4 laptop over IRDA.  I can use pilot-xfer with this device just fine.

gpilotd emits this:

[oliver] mobility:~$ /usr/libexec/gpilotd 
--oaf-activate-iid=OAFIID:GNOME_Pilot_Daemon --oaf-ior-fd=45
gpilotd-Message: gnome-pilot 2.0.13 starting...
gpilotd-Message: compiled for pilot-link version 0.12.0-pre2
gpilotd-Message: compiled with [VFS] [USB] [IrDA] [Network]
gpilotd-Message: Activating CORBA server
IOR:019dd0bf1b00000049444c3a474e4f4d452f50696c6f742f4461656d6f6e3a312e300028030000000054424f6c0000000101026905000000554e49580066756c230000006d6f62696c6974792e666c696e646572732e64656570657264657369676e2e636f6d00472b0000002f746d702f6f726269742d6f6c697665722f6c696e632d316339322d302d326532656536666563633438006d00000000caaedfba580000000101024f2b0000002f746d702f6f726269742d6f6c697665722f6c696e632d316339322d302d3265326565366665636334380072000073691c000000000000000f64b018daf4a828dc292828282828286770696c6f7464000100000048000000012d326502000000050000001c000000000000000f64b018daf4a828dc292828282828286770696c6f7464000100000014000000012f6c6901000105000000000901010000000000
gpilotd-Message: bonobo_activation_active_server_register = 0
gpilotd-Message: Watching Cradle (/dev/ircomm0)

<press hotsync on PDA>

gpilotd-Message: Woke on Cradle
gpilotd-Message: setting PILOTRATE=115200

(gpilotd:7314): gpilotd-WARNING **: An error occured while getting the pilot's
system data
gpilotd-Message: Restarting irda funk...
gpilotd-Message: Watching Cradle (/dev/ircomm0)

The Palm Pilot seems to process the connection ok as it returns to an idle state
without issuing an error on the Pilot's screen.

[oliver] mobility:~$ rpm -q gnome-pilot pilot-link
gnome-pilot-2.0.13-2
pilot-link-0.12.0-0.pre3.0.fc4.1

Fedora Core 3 used to work just fine, synched up Evo's calendar, todo, and
contacts just fine.


Comment 6 Norbert 2005-08-05 17:19:32 EDT
same issue here with treo, worked fine with FC3. 
Comment 7 Matt Davey 2006-01-21 07:46:54 EST
Try setting the 'timeout' parameter to zero (in the device
settings in the configuration applet).  Does that help?
Comment 8 erik slagter 2006-01-22 06:47:22 EST
Setting the timeout to zero works, well, the error is still there but at least
gpilotd continues. Also there is an alarming amount of warnings:

(gpilotd:27807): gpilotd-WARNING **: Unable to bind to pilot
gpilotd-Message: setting PILOTRATE=9600
gpilotd-Message: Cradle USB has 0 events
gpilotd-Message: Instantiating 7 conduits...
(gpilotd:27807): libgpilotdcm-WARNING **: Unknown conduit, name="gpmemo1"
gpilotd-Message: Unknown conduit "gpmemo1" in configure!
(gpilotd:27807): Pango-WARNING **: Invalid UTF-8 string passed to
pango_layout_set_text()
(gpilotd:27807): libgpilotdcm-WARNING **: Unknown conduit, name="gpsendmail1"
gpilotd-Message: Unknown conduit "gpsendmail1" in configure!
(gpilotd:27807): Pango-WARNING **: Invalid UTF-8 string passed to
pango_layout_set_text()
(gpilotd:27807): libgpilotdcm-WARNING **: Unknown conduit, name="gptime1"
gpilotd-Message: Unknown conduit "gptime1" in configure!
(gpilotd:27807): Pango-WARNING **: Invalid UTF-8 string passed to
pango_layout_set_text()
eaddrconduit-Message: in address's conduit_get_gpilot_conduit
ecalconduit-Message: in calendar's conduit_get_gpilot_conduit

...

(gpilotd:27807): gpilotd-WARNING **: pi_accept_to: Input/output error
(gpilotd:27807): gpilotd-WARNING **: pi_accept_to: timeout was 0 secs

Also three message boxes pop up with the content "Unknown conduit" followed by
some random non-ASCII characters.
Comment 9 Matt Davey 2006-01-25 10:50:22 EST
Which packages have you installed?
Are there any updates you can apply?
Try the packages from last July by Mark Adams, or the netsync-patched version.
Both are linked from
http://www.inference.phy.cam.ac.uk/mcdavey/downloads/

Also, sounds like you might be suffering from the kernel/hotplug/udev issue
where the udev devices take too long to appear, causing the palm to give up
before the sync can start.

Take a look at
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158809
for a possible workaround.
Comment 10 Frank DiPrete 2006-01-26 08:39:49 EST
same problem here using a palm V on /dev/ttyS0 as root
using pilot-link-devel-0.12.0-0.pre4
pilot-xfer works, gnome-pilot fails.
not a udev issue.

went back to FC3 - everything works.
Comment 11 Frank DiPrete 2006-02-01 18:08:47 EST
tried setting the timeout to 0 on my fc4 machine
same result

gpilotd-Message: gnome-pilot 2.0.13 starting...
gpilotd-Message: compiled for pilot-link version 0.12.0-pre2
gpilotd-Message: compiled with [VFS] [USB] [IrDA] [Network]

(gpilotd:2578): gpilotd-WARNING **: Number of devices is configured to 0

(gpilotd:2578): gpilotd-WARNING **: No accessible devices available

(gpilotd:2578): gpilotd-WARNING **: Number of pilots is configured to 0
gpilotd-Message: Activating CORBA server
gpilotd-Message: bonobo_activation_active_server_register = 0
gpilotd-Message: Shutting down devices
gpilotd-Message: Rereading configuration...

(gpilotd:2578): gpilotd-WARNING **: Number of pilots is configured to 0
gpilotd-Message: Watching irda (/dev/ircomm0)
gpilotd-Message: corba: get_user_info(cradle=irda,survival=0,timeout=0)
gpilotd-Message: assigned handle num 1
gpilotd-Message: Woke on irda
gpilotd-Message: setting PILOTRATE=57600

(gpilotd:2578): gpilotd-WARNING **: An error occured while getting the pilot's
system data
gpilotd-Message: Restarting irda funk...

(gpilotd:2578): gpilotd-WARNING **: Port /dev/ircomm0 is already locked
gpilotd-Message: Watching irda (/dev/ircomm0)

(gpilotd:2578): Pango-WARNING **: Invalid UTF-8 string passed to
pango_layout_set_text()

(gpilotd:2578): gpilotd-WARNING **: Device error on irda (/dev/ircomm0), caught
G_IO_NVAL
gpilotd-Message: Removing irda

(gpilotd:2578): GLib-WARNING **: Invalid file descriptor.


(gpilotd:2578): GLib-WARNING **: Error closing channel: Bad file descriptor

(gpilotd:2578): Pango-WARNING **: Invalid UTF-8 string passed to
pango_layout_set_text()
gpilotd-Message: FISK: OST
gpilotd-Message: gpc_queue_purge_request()
gpilotd-Message: Shutting down devices

(gpilotd:2578): gpilotd-WARNING **: Unknown device type

(gpilotd:2578): gpilotd-WARNING **: Unknown device type
gpilotd-Message: Rereading configuration...

(gpilotd:2578): gpilotd-WARNING **: Number of devices is configured to 0

(gpilotd:2578): gpilotd-WARNING **: No accessible devices available

(gpilotd:2578): gpilotd-WARNING **: Number of pilots is configured to 0
^[^[

Comment 12 Matt Davey 2006-02-01 18:19:32 EST
Frank - your gpilotd output above indicates it was
"compiled for pilot-link version 0.12.0-pre2"

This is a bad bad broken version!  Try installing the packages linked
to in comment #9.
Comment 13 Frank DiPrete 2006-02-02 08:17:14 EST
bingo - using gnome-pilot-2.0.13-4.i386.rpm and
gnome-pilot-conduits-2.0.13-2.i386.rpm from 

http://zeniv.linux.org.uk/pub/people/mark_adams/RPMS/i386/

and moving the .conduit files as per
http://www.inference.phy.cam.ac.uk/mcdavey/downloads/

got sync working again.

fyi - the bad and broken version came from the official fedora repo while 2.0.13
came from an unofficial source. Is this update going to be released as official?
Comment 14 Matt Davey 2006-02-02 08:36:35 EST
Glad that worked for you.  Yes, it is known that the official fc4 distribution
of pilot related stuff was pretty screwed up.  The current CVS versions of
pilot-link and gnome-pilot are in fairly good shape, so it seems likely that
future releases will be big improvements.
Comment 15 Matthew Barnes 2007-01-02 12:50:34 EST
Sounds like this got straightened out awhile ago, but I'd still like
confirmation that it's fixed.  Is the problem still present in Fedora Core 6 or
later?
Comment 16 Frank DiPrete 2007-01-02 18:44:24 EST
still running fc5 here, so I'm out ;)
Comment 17 erik slagter 2007-01-10 06:11:14 EST
I have given up on the whole issue and retired the PDA.
Comment 18 Matthew Barnes 2007-01-10 07:51:24 EST
Closing based on comment #13 and comment #14.  Feel free to reopen this bug if
you encounter the same problem in Fedora Core 6 or later.

Note You need to log in before you can comment on or make changes to this bug.